--- Mk/bsd.port.mk.orig	Mon Aug  2 00:00:08 2004
+++ Mk/bsd.port.mk	Mon Aug  2 00:28:30 2004
@@ -612,6 +612,10 @@
 #			 to include bsd.port.pre.mk before you start testing the
 #			 WITH_xyz variables.
 #
+# OPTIONS_RADIOLIST -
+#            If defined, use ${DIALOG} --radiolist instead of --checklist, 
+#            allowing the user to choose only one of the given options.
+#
 # For fetch:
 #
 # FETCH_CMD		- Full path to ftp/http fetch command if not in $PATH
@@ -4767,7 +4771,11 @@
 	PORTOBJFORMAT="${PORTOBJFORMAT:S/"/"'"'"/g:S/\$/\$\$/g:S/\\/\\\\/g}" \
 	SYSTEMVERSION="${SYSTEMVERSION:S/"/"'"'"/g:S/\$/\$\$/g:S/\\/\\\\/g}"
 .endif
-
+.if defined(OPTIONS_RADIOLIST)
+DIALOG_MODE= --radiolist
+.else
+DIALOG_MODE= --checklist
+.endif
 .if !target(config)
 config:
 .if !defined(OPTIONS)
@@ -4809,7 +4817,7 @@
 	done; \
 	TMPOPTIONSFILE=$$(mktemp -t portoptions); \
 	trap "${RM} -f $${TMPOPTIONSFILE}; exit 1" 1 2 3 5 10 13 15; \
-	${SH} -c "${DIALOG} --checklist \"Options for ${PKGNAME:C/-([^-]+)$/ \1/}\" 21 70 15 $${DEFOPTIONS} 2> $${TMPOPTIONSFILE}"; \
+	${SH} -c "${DIALOG} ${DIALOG_MODE} \"Options for ${PKGNAME:C/-([^-]+)$/ \1/}\" 21 70 15 $${DEFOPTIONS} 2> $${TMPOPTIONSFILE}"; \
 	status=$$?; \
 	if [ $${status} -ne 0 ] ; then \
 		${RM} -f $${TMPOPTIONSFILE}; \
